<?xml version="1.0" encoding="UTF-8"?>

<ClassComponent localName="CellViewer" description=""
	fileName="NPCFaceCellViewer.jar" className="org.mati.npc.faces.NPCFaceCellViewer"
	version="9345" time="17.02.2009 16:31:02">

	<Group>Банковские депозитарные ячейки</Group>

	<!-- INLINKS -->
	<INLink description="Связь с компонентом контейнером"
		interfaceName="org.mati.npc.components.interfaces.NPCFaceComponent"
		linksNumber="1" name="InFaceComponent" nullable="false">
	</INLink>
	<INLink description="GuardCellViewerHandler"
		interfaceName="org.mati.npc.components.interfaces.NPCCellViewerHandler"
		linksNumber="0" nullable="true" name="InGuardCellViewerHandler">
	</INLink>
	<INLink description="ClientCellViewerHandler"
		interfaceName="org.mati.npc.components.interfaces.NPCCellViewerHandler"
		linksNumber="0" nullable="true" name="InClientCellViewerHandler">
	</INLink>
	<INLink description="RackCellViewerHandler"
		interfaceName="org.mati.npc.components.interfaces.NPCCellViewerHandler"
		linksNumber="0" nullable="true" name="InRackCellViewerHandler">
	</INLink>



	<!-- OUTLINKS -->
	<OUTLink name="OutCellRackHandler" description=""
		interfaceName="org.mati.npc.components.newbank.NPCCellRack"
		linksNumber="0" nullable="true" >
	</OUTLink>
	<OUTLink description="Связь с компонентом журналирования"
		interfaceName="org.mati.npc.components.interfaces.NPCSimpleLoggerHandler"
		linksNumber="1" nullable="true" name="OutLoggerHandler">
	</OUTLink>

	<!-- ATTRIBUTES -->
	<Attribute name="PositionX"
		description="Координата левого верхнего угла по оси X"
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="PositionY"
		description="Координата левого верхнего угла по оси Y"
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="SizeWidth" description="Ширина"
		defaultValue="640"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="SizeHeight" description="Высота" nullable="false"
		defaultValue="480"
		type="java.lang.Integer">
	</Attribute>
	<Attribute name="RowCount" description="" type="java.lang.Integer"
		defaultValue="10"
		nullable="false">
	</Attribute>
	<Attribute name="ColumnCount" description=""
		defaultValue="10"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="UserCount"
		description="Максимальное количество клиентов, которые одновременно могут находится в депозитарии."
		type="java.lang.Integer" nullable="false" defaultValue="1">
	</Attribute>
	<Attribute name="SelfAction" description="" type="java.lang.Boolean"
		defaultValue="true"
		nullable="false">
	</Attribute>
	<Attribute name="FillMethod" description="" type="java.util.List"
		nullable="false" defaultValue="SINGLE_LEFT_TO_RIGHT">
		<List value="SINGLE_LEFT_TO_RIGHT" />
		<List value="SINGLE_TOP_TO_BOTTOM" />
	</Attribute>

</ClassComponent>
